language-selector (0.228build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:29:39 +0100

language-selector (0.228) questing; urgency=medium

  * Update the translations with a launchpad export for Questing

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Sep 2025 16:57:23 +0200

language-selector (0.227) plucky; urgency=medium

  * Update the translations with a launchpad export for Plucky

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Apr 2025 13:23:05 +0200

language-selector (0.226) oracular; urgency=medium

  * Remove chromium and thunderbird packages from the translations
    depends since are provided as snaps now.
  * There is an hunspell-eo dictionnary now, use it instead of myspell

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2024 10:22:16 +0200

language-selector (0.225) noble; urgency=medium

  [ Gunnar Hjalmarsson ]
  * fontconfig/30-cjk-aliases.conf:
    - Fix typo in font family name (LP: #2041193)

  [ Jeremy Bícha ]
  * Update translations from Launchpad

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 21:27:07 -0400

language-selector (0.224) mantic; urgency=medium

  * data/pkg_depends:
    - Pull also fcitx5-frontend-qt6 for Chinese (non-GNOME) users.
  * Prefer Noto Sans Math
    - Makes that font used instead of DejaVu Sans Mono for rendering
      the Ratio character in the clock (LP: #2033377).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 07 Sep 2023 20:30:37 +0200

language-selector (0.223) mantic; urgency=medium

  * fontconfig/56-language-selector-prefer.conf,
    data/10-prefer-noto.conf:
    - Add Noto Sans Runic at the request of a stone age friend.
  * setup.py, debian/language-selector-common.install:
    - New directory for extra snap fontconfig file.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 27 Jul 2023 11:37:01 +0200

language-selector (0.222) mantic; urgency=medium

  * data/pkg_depends:
    - Always pull hunspell and myspell dicts
  * Switch to Noto as default font
    - Add 56-language-selector-prefer.conf
    - Drop 56-language-selector-ar.conf (no longer needed)
    - Simplify list of fonts pulled by check-language-support
    - Install extra fontconfig file for the snaps
    - This is a step to achieve the goal in
      https://discourse.ubuntu.com/t/36923
    - Fixes LP: #1866038 and LP: #2009303

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 19 Jul 2023 19:35:48 +0200

language-selector (0.221) lunar; urgency=medium

  * debian/language-selector-common.maintscript:
    - Drop obsolete config file move
  * Move font configuration files from /etc to /usr
    - This aligns language-selector-common with the change in
      fontconfig-config 2.14.1-3ubuntu3.
  * d/control: Move im-config from Depends to Recommends

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 27 Mar 2023 01:41:03 +0200

language-selector (0.220) lunar; urgency=medium

  * data/pkg_depends, fontconfig/64-language-selector-prefer.conf:
    - Make Noto Sans Sinhala and Noto Serif Sinhala default fonts for
      rendering Sinhala (LP: #2000551).
  * Bump year in d/copyright
  * Bump Standards-Version to 4.6.2

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 28 Dec 2022 20:27:29 +0100

language-selector (0.219) jammy; urgency=medium

  * Translations from Launchpad
  * LanguageSelector/ImConfig.py:
    - Drop LXQt from the "cjkv" behavior in line with im-config 0.50-1.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 10 Apr 2022 00:41:20 +0200

language-selector (0.218) jammy; urgency=medium

  * data/pkg_depends:
    - Stop pulling firefox-locale-* packages since FF is now provided
      as snap only (LP: #1966114).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 23 Mar 2022 20:33:12 +0100

language-selector (0.217) jammy; urgency=medium

  * LanguageSelector/{macros.py,gtk/GtkLanguageSelector.py}:
    - Fix a couple of warnings which were exposed when
      gnome-language-selector was run with PYTHONWARNINGS=default
      (LP: #1951985).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 23 Nov 2021 17:57:47 +0100

language-selector (0.216) impish; urgency=medium

  * data/pkg_depends:
    - Pull fcitx5-frontend-gtk4 for Chinese. (This is merely for
      consistency reasons — it's pulled by fcitx5 too.)
    - Pull fonts-noto-core for Amharic (LP: #1945817)
  * Bump Standards-Version to 4.6.0

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 06 Oct 2021 16:21:16 +0200

language-selector (0.215) impish; urgency=medium

  * data/pkg_depends:
    - Add several languages for which ibus-m17n is useful and which
      are included in keyboard-Use-ibus-sources-from-locale.patch in
      gnome-settings-daemon (LP: #1943768).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 16 Sep 2021 15:11:30 +0200

language-selector (0.214) impish; urgency=medium

  * debian/language-selector-common.install, debian/not-installed:
    - Don't install *.pyc files. In l-s 0.198 we began to install such
      files to please dh_missing, but using d/not-installed is better.
  * debian/language-selector-gnome.install:
    - Skip empty directory /usr/share/help/C/language-selector/figures/
  * help/C/index.docbook: Minor updates
  * debian/language-selector-common.{post,pre}inst:
    - Drop redundant parts from .postinst, drop the whole .preinst

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 03 Aug 2021 15:49:24 +0200

language-selector (0.213) impish; urgency=medium

  * data/pkg_depends:
    - Drop ibus as condition for pulling non-Chinese IBus engines
    - Simplify condition for pulling Chinese IBus engines
    - Stop pulling gnome-getting-started-docs - archived upstream
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - Clarify "Fcitx 4" respective "Fcitx 5" in the IM selector
  * dbus_backend/com.ubuntu.LanguageSelector.conf:
    - Fix Lintian dbus-policy-without-send-destination warning
  * debian/language-selector-common.maintscript:
    - Drop obsolete config file moves/removals
  * debian/control:
    - Bump Standards-Version to 4.5.1
    - Add the Rules-Requires-Root header
    - Drop obsolete Conflicts/Replaces
    - Make language-selector-gnome package short description differ
      from the -common package description
  * setup.py, dbus_backend/com.ubuntu.LanguageSelector.service,
    debian/language-selector-common.install:
    - Install language-selector/ls-dbus-backend in /usr/libexec instead
      of /usr/lib
  * debian/copyright:
    - Updated, including the addition of a DEP5 format header
  * debian/changelog:
    - Clean up trailing whitespace

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 07 Jul 2021 01:38:44 +0200

language-selector (0.212) impish; urgency=medium

  * data/pkg_depends:
    - Don't pull Fcitx for non-Chinese languages. This is consistent
      with the IM_CONFIG_PREFERRED_RULE variable in
      /etc/default/im-config.
    - Pull IBus IMs for Chinese also on Ubuntu Budgie
    - Switch to Fcitx 5 for Chinese (LP: #1928360)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 21 May 2021 06:41:05 +0200

language-selector (0.211) groovy; urgency=medium

  * fontconfig/56-language-selector-ar.conf (LP: #1896397):
    - Change back to "Noto Sans Arabic UI" for sans-serif instead of
      "Noto Naskh Arabic UI"

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 27 Sep 2020 22:02:38 +0200

language-selector (0.210) groovy; urgency=medium

  * fontconfig/69-language-selector-ar.conf (LP: #1896397):
    - Rename to 56-language-selector-ar.conf
    - Drop binding="strong"
    - Drop monospace section

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 25 Sep 2020 21:18:08 +0200

language-selector (0.209) groovy; urgency=medium

  * fontconfig/69-language-selector-ar.conf (LP: #1896397):
    - Specify "DejaVu Sans Mono" explicitly for monospace

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 21 Sep 2020 18:54:34 +0200

language-selector (0.208) groovy; urgency=medium

  * fontconfig/69-language-selector-ar.conf (LP: #1896397):
    - Replace "Noto Sans Arabic UI" with "Noto Naskh Arabic UI" for
      sans-serif
    - Drop the specification for monospace, and with that fall back to
      DejaVu for Arabic monospace

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 21 Sep 2020 13:40:14 +0200

language-selector (0.207) groovy; urgency=medium

  * LanguageSelector/ImConfig.py:
    - Drop KDE and XFCE from the "cjkv" behavior in line with
      im-config 0.45-1ubuntu1.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 16 Sep 2020 13:27:05 +0200

language-selector (0.206) groovy; urgency=medium

  * Provide Noto fonts for rendering Arabic (LP: #1891733)
    - Let pkg_depends pull fonts-noto-core and fonts-noto-ui-core
      instead of fonts-arabeyes and fonts-kacst.
    - Add 69-language-selector-ar.conf but apply that configuration
      only for users with an Arabic locale, since it gives some Noto
      fonts higher fontconfig precedence than DejaVu Sans.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 16 Aug 2020 02:16:02 +0200

language-selector (0.205) groovy; urgency=medium

  * LanguageSelector/ImConfig.py:
    - List 'cjkv desktops' instead of 'auto desktops' in line with the
      code in im-config 0.45-1.
  * debian/control:
    - Bump debhelper-compat to 13

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 08 Aug 2020 21:34:05 +0200

language-selector (0.204) focal; urgency=medium

  * fontconfig/64-language-selector-prefer.conf:
    - Add "Lohit Devanagari" since "Raghindi" (stated in
      65-nonlatin.conf) is not installed by default (LP: #1800965).
  * Translations from Launchpad

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 13 Apr 2020 01:42:00 +0200

language-selector (0.203) focal; urgency=medium

  * language_support_pkgs.py:
    - Drop hack for hunspell-gl - hunspell-gl-es is now a dummy and
      does not conflict with hunspell-gl any longer (LP: #1578821).
  * debian/control:
    - Bump Standards-Version to 4.5.0
    - Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 05 Mar 2020 22:52:00 +0100

language-selector (0.202) focal; urgency=medium

  * debian/control: VCS fields added

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 18 Feb 2020 21:37:00 +0100

language-selector (0.201) focal; urgency=medium

  * data/pkg_depends:
    - Add libenchant-2-voikko for fi
    - Remove xul-ext-mozvoikko, unsupported by recent Mozilla products
    - Add libenchant-2-voikko and giella-sme for se

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 18 Feb 2020 16:39:43 +0200

language-selector (0.200) focal; urgency=medium

  * Drop pyqt4-dev-tools build-dependency, the Qt4 interface was removed
    in 0.100.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 23:07:20 +0300

language-selector (0.199) focal; urgency=medium

  * data/pkg_depends:
    - Drop fcitx-frontend-qt4

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 26 Oct 2019 17:58:00 +0200

language-selector (0.198) eoan; urgency=medium

  * debian/control, debian/compat:
    - Bump dh version / compat level to 12.
  * debian/control:
    - Bump Standards-Version to 4.4.0.
  * debian/rules:
    - Build with pybuild.
  * debian/language-selector-common.install:
    - Install *.pyc files to please dh_missing.
  * debian/pycompat:
    - Drop (obsolete).
  * LanguageSelector/ImConfig.py:
    - Only create ~/.xinputrc at user request (LP: #1839984)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 13 Aug 2019 16:04:00 +0200

language-selector (0.197) eoan; urgency=medium

  * LanguageSelector/ImConfig.py:
    - Use autoConfig for UKUI.
    - Drop special case for GNOME-Flashback - it's GNOME now.
  * debian/control:
    - Bump Standards-Version to 4.3.0.
  * debian/control, debian/compat:
    - Bump dh version / compat level to 11.
  * debian/language-selector-common.postrm:
    - Dropped - covered by language-selector-common.maintscript.
  * MANIFEST.in:
    - Non-existing files removed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 09 Jul 2019 18:37:00 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog language-selector-common`.
